Page MenuHomePhabricator

efl_ui_bg: add Efl.Ui.Bg interface
ClosedPublic

Authored by taxi2se on Dec 6 2017, 11:10 PM.

Details

Reviewers
jpeg
woohyun
cedric
Commits
rEFL25136ddf8ccb: efl_ui_bg: add Efl.Ui.Bg interface
Restricted Diffusion Commit
Summary
  • Previous class efl_ui_bg moved to efl_ui_bg_widget.
  • Scale_type moved to efl_image from efl_ui_image.
  • Previous enum Efl_Ui_Image_Scale_Type moved to Efl_Image_Scale_Type.
Test Plan

Run elementary_test
1.Image Scale Type
2.Efl.Ui.Bg
3.Efl.Ui.Win
4.Part Background

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
taxi2se created this revision.Dec 6 2017, 11:10 PM
taxi2se updated this revision to Diff 13372.Dec 7 2017, 1:43 AM

remove commented line

taxi2se updated this revision to Diff 13450.Dec 11 2017, 4:07 AM

rename Efl.Ui.Bg_obj -> Efl.Ui.Bg_widget

taxi2se updated this revision to Diff 13458.Dec 11 2017, 9:24 PM

change super to Efl.Interface

taxi2se updated this revision to Diff 13459.Dec 11 2017, 10:03 PM

fix color_get during construction

taxi2se updated this revision to Diff 13474.Dec 12 2017, 8:52 PM

call super color_set when rect is not added.

jpeg added a comment.Dec 12 2017, 9:00 PM

can rect be NULL? why?

src/lib/elementary/efl_ui_bg_widget_eo.h
1 ↗(On Diff #13459)

remove this file

taxi2se updated this revision to Diff 13477.Dec 12 2017, 9:54 PM

remove unnecessary override, remove _eo.h header

_elm_widget_efl_canvas_group_group_member_add calls efl_gfx_color_get(bg)
in efl_object_constructor()
Since I moved construction code to constructor() from group_add()
rect is not created by the time.

taxi2se updated this revision to Diff 13478.Dec 12 2017, 10:01 PM

Fix wrong CLASS_NAME

taxi2se edited the summary of this revision. (Show Details)Dec 12 2017, 10:02 PM
Closed by commit rEFL25136ddf8ccb: efl_ui_bg: add Efl.Ui.Bg interface (authored by taxi2se, committed by Jean-Philippe Andre <jp.andre@samsung.com>). · Explain WhyDec 18 2017, 4:05 AM
This revision was automatically updated to reflect the committed changes.
jpeg added a comment.EditedJan 16 2018, 9:12 PM

See T6579 - When using custom themes, this broke the standard bg of some windows added with elm_win_util_standard_add. Somehow not all (weird). I'll fix it soon.